complete -c maturin -n "__fish_use_subcommand" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_use_subcommand" -s V -l version -d 'Print version information'
complete -c maturin -n "__fish_use_subcommand" -f -a "build" -d 'Build the crate into python packages'
complete -c maturin -n "__fish_use_subcommand" -f -a "publish" -d 'Build and publish the crate as python packages to pypi'
complete -c maturin -n "__fish_use_subcommand" -f -a "list-python" -d 'Searches and lists the available python installations'
complete -c maturin -n "__fish_use_subcommand" -f -a "develop" -d 'Installs the crate as module in the current virtualenv'
complete -c maturin -n "__fish_use_subcommand" -f -a "sdist" -d 'Build only a source distribution (sdist) without compiling'
complete -c maturin -n "__fish_use_subcommand" -f -a "init" -d 'Create a new cargo project in an existing directory'
complete -c maturin -n "__fish_use_subcommand" -f -a "new" -d 'Create a new cargo project'
complete -c maturin -n "__fish_use_subcommand" -f -a "upload" -d 'Uploads python packages to pypi'
complete -c maturin -n "__fish_use_subcommand" -f -a "pep517" -d 'Backend for the PEP 517 integration. Not for human consumption'
complete -c maturin -n "__fish_use_subcommand" -f -a "completions" -d 'Generate shell completions'
complete -c maturin -n "__fish_use_subcommand" -f -a "zig" -d 'Zig linker wrapper'
complete -c maturin -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c maturin -n "__fish_seen_subcommand_from build" -l compatibility -d 'Control the platform tag on linux' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -s i -l interpreter -d 'The python versions to build wheels for, given as the names of the interpreters. Uses autodiscovery if not explicitly set' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -s b -l bindings -d 'Which kind of bindings to use. Possible values are pyo3, rust-cpython, cffi and bin' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -s m -l manifest-path -d 'The path to the Cargo.toml' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -s o -l out -d 'The directory to store the built wheels in. Defaults to a new "wheels" directory in the project\'s target directory' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -l target -d 'The --target option for cargo' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -l cargo-extra-args -d 'Extra arguments that will be passed to cargo as `cargo rustc [...] [arg1] [arg2] -- [...]`' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -l rustc-extra-args -d 'Extra arguments that will be passed to rustc as `cargo rustc [...] -- [...] [arg1] [arg2]`' -r
complete -c maturin -n "__fish_seen_subcommand_from build" -l skip-auditwheel -d 'Don\'t check for manylinux compliance'
complete -c maturin -n "__fish_seen_subcommand_from build" -l zig -d 'For manylinux targets, use zig to ensure compliance for the chosen manylinux version'
complete -c maturin -n "__fish_seen_subcommand_from build" -l universal2 -d 'Control whether to build universal2 wheel for macOS or not. Only applies to macOS targets, do nothing otherwise'
complete -c maturin -n "__fish_seen_subcommand_from build" -s r -l release -d 'Pass --release to cargo'
complete -c maturin -n "__fish_seen_subcommand_from build" -l strip -d 'Strip the library for minimum file size'
complete -c maturin -n "__fish_seen_subcommand_from build" -l no-sdist -d 'Don\'t build a source distribution'
complete -c maturin -n "__fish_seen_subcommand_from build" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l compatibility -d 'Control the platform tag on linux' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -s i -l interpreter -d 'The python versions to build wheels for, given as the names of the interpreters. Uses autodiscovery if not explicitly set' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -s b -l bindings -d 'Which kind of bindings to use. Possible values are pyo3, rust-cpython, cffi and bin' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -s m -l manifest-path -d 'The path to the Cargo.toml' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -s o -l out -d 'The directory to store the built wheels in. Defaults to a new "wheels" directory in the project\'s target directory' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -l target -d 'The --target option for cargo' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -l cargo-extra-args -d 'Extra arguments that will be passed to cargo as `cargo rustc [...] [arg1] [arg2] -- [...]`' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -l rustc-extra-args -d 'Extra arguments that will be passed to rustc as `cargo rustc [...] -- [...] [arg1] [arg2]`' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -s r -l repository-url -d 'The URL of the registry where the wheels are uploaded to. Note than you can also pass the URL through MATURIN_REPOSITORY_URL variable' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -s u -l username -d 'Username for pypi or your custom registry. Note that you can also pass the username through MATURIN_USERNAME variable' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -s p -l password -d 'Password for pypi or your custom registry. Note that you can also pass the password through MATURIN_PASSWORD variable' -r
complete -c maturin -n "__fish_seen_subcommand_from publish" -l skip-auditwheel -d 'Don\'t check for manylinux compliance'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l zig -d 'For manylinux targets, use zig to ensure compliance for the chosen manylinux version'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l universal2 -d 'Control whether to build universal2 wheel for macOS or not. Only applies to macOS targets, do nothing otherwise'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l debug -d 'Do not pass --release to cargo'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l no-strip -d 'Do not strip the library for minimum file size'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l no-sdist -d 'Don\'t build a source distribution'
complete -c maturin -n "__fish_seen_subcommand_from publish" -l skip-existing -d 'Continue uploading files if one already exists. (Only valid when uploading to PyPI. Other implementations may not support this.)'
complete -c maturin -n "__fish_seen_subcommand_from publish" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from list-python" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from develop" -s b -l bindings -d 'Which kind of bindings to use. Possible values are pyo3, rust-cpython, cffi and bin' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -s m -l manifest-path -d 'The path to the Cargo.toml' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -l cargo-extra-args -d 'Extra arguments that will be passed to cargo as `cargo rustc [...] [arg1] [arg2] --`' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -l rustc-extra-args -d 'Extra arguments that will be passed to rustc as `cargo rustc [...] -- [arg1] [arg2]`' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -s E -l extras -d 'Install extra requires aka. optional dependencies' -r
complete -c maturin -n "__fish_seen_subcommand_from develop" -s r -l release -d 'Pass --release to cargo'
complete -c maturin -n "__fish_seen_subcommand_from develop" -l strip -d 'Strip the library for minimum file size'
complete -c maturin -n "__fish_seen_subcommand_from develop" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from sdist" -s m -l manifest-path -d 'The path to the Cargo.toml' -r
complete -c maturin -n "__fish_seen_subcommand_from sdist" -s o -l out -d 'The directory to store the built wheels in. Defaults to a new "wheels" directory in the project\'s target directory' -r
complete -c maturin -n "__fish_seen_subcommand_from sdist" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from init" -l name -d 'Set the resulting package name, defaults to the directory name' -r
complete -c maturin -n "__fish_seen_subcommand_from init" -s b -l bindings -d 'Which kind of bindings to use' -r -f -a "{pyo3	,rust-cpython	,cffi	,bin	}"
complete -c maturin -n "__fish_seen_subcommand_from init" -l mixed -d 'Use mixed Rust/Python project layout'
complete -c maturin -n "__fish_seen_subcommand_from init" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from new" -l name -d 'Set the resulting package name, defaults to the directory name' -r
complete -c maturin -n "__fish_seen_subcommand_from new" -s b -l bindings -d 'Which kind of bindings to use' -r -f -a "{pyo3	,rust-cpython	,cffi	,bin	}"
complete -c maturin -n "__fish_seen_subcommand_from new" -l mixed -d 'Use mixed Rust/Python project layout'
complete -c maturin -n "__fish_seen_subcommand_from new" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from upload" -s r -l repository-url -d 'The URL of the registry where the wheels are uploaded to. Note than you can also pass the URL through MATURIN_REPOSITORY_URL variable' -r
complete -c maturin -n "__fish_seen_subcommand_from upload" -s u -l username -d 'Username for pypi or your custom registry. Note that you can also pass the username through MATURIN_USERNAME variable' -r
complete -c maturin -n "__fish_seen_subcommand_from upload" -s p -l password -d 'Password for pypi or your custom registry. Note that you can also pass the password through MATURIN_PASSWORD variable' -r
complete -c maturin -n "__fish_seen_subcommand_from upload" -l skip-existing -d 'Continue uploading files if one already exists. (Only valid when uploading to PyPI. Other implementations may not support this.)'
complete -c maturin -n "__fish_seen_subcommand_from upload" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -f -a "write-dist-info" -d 'The implementation of prepare_metadata_for_build_wheel'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -f -a "build-wheel" -d 'Implementation of build_wheel'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -f -a "write-sdist" -d 'The implementation of build_sdist'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and not __fish_seen_subcommand_from write-dist-info; and not __fish_seen_subcommand_from build-wheel; and not __fish_seen_subcommand_from write-sdist; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l compatibility -d 'Control the platform tag on linux' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s i -l interpreter -d 'The python versions to build wheels for, given as the names of the interpreters. Uses autodiscovery if not explicitly set' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s b -l bindings -d 'Which kind of bindings to use. Possible values are pyo3, rust-cpython, cffi and bin' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s m -l manifest-path -d 'The path to the Cargo.toml' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s o -l out -d 'The directory to store the built wheels in. Defaults to a new "wheels" directory in the project\'s target directory' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l target -d 'The --target option for cargo' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l cargo-extra-args -d 'Extra arguments that will be passed to cargo as `cargo rustc [...] [arg1] [arg2] -- [...]`' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l rustc-extra-args -d 'Extra arguments that will be passed to rustc as `cargo rustc [...] -- [...] [arg1] [arg2]`' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l metadata-directory -d 'The metadata_directory argument to prepare_metadata_for_build_wheel' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l skip-auditwheel -d 'Don\'t check for manylinux compliance'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l zig -d 'For manylinux targets, use zig to ensure compliance for the chosen manylinux version'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l universal2 -d 'Control whether to build universal2 wheel for macOS or not. Only applies to macOS targets, do nothing otherwise'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -l strip -d 'Strip the library for minimum file size'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-dist-info" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l compatibility -d 'Control the platform tag on linux' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s i -l interpreter -d 'The python versions to build wheels for, given as the names of the interpreters. Uses autodiscovery if not explicitly set' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s b -l bindings -d 'Which kind of bindings to use. Possible values are pyo3, rust-cpython, cffi and bin' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s m -l manifest-path -d 'The path to the Cargo.toml' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s o -l out -d 'The directory to store the built wheels in. Defaults to a new "wheels" directory in the project\'s target directory' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l target -d 'The --target option for cargo' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l cargo-extra-args -d 'Extra arguments that will be passed to cargo as `cargo rustc [...] [arg1] [arg2] -- [...]`' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l rustc-extra-args -d 'Extra arguments that will be passed to rustc as `cargo rustc [...] -- [...] [arg1] [arg2]`' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l skip-auditwheel -d 'Don\'t check for manylinux compliance'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l zig -d 'For manylinux targets, use zig to ensure compliance for the chosen manylinux version'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l universal2 -d 'Control whether to build universal2 wheel for macOS or not. Only applies to macOS targets, do nothing otherwise'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l strip -d 'Strip the library for minimum file size'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -l editable -d 'Build editable wheels'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from build-wheel" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-sdist" -l sdist-directory -d 'The sdist_directory argument to build_sdist' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-sdist" -s m -l manifest-path -d 'The path to the Cargo.toml' -r
complete -c maturin -n "__fish_seen_subcommand_from pep517; and __fish_seen_subcommand_from write-sdist" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from completions" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from help" -f -a "cc" -d '`zig cc` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from help" -f -a "c++" -d '`zig c++` wrapper'
complete -c maturin -n "__fish_seen_subcommand_from zig; and not __fish_seen_subcommand_from cc; and not __fish_seen_subcommand_from c++; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from cc" -s h -l help -d 'Print help information'
complete -c maturin -n "__fish_seen_subcommand_from zig; and __fish_seen_subcommand_from c++" -s h -l help -d 'Print help information'
